DEV_ALLOC_NAME(9)

NAME
dev_alloc_name - allocate a name for a device

SYNOPSIS

int dev_alloc_name(struct net_device * dev, const char * name);

ARGUMENTS

dev
    device

name
    name format string

DESCRIPTION

Passed a format string - eg "ltd" it will try and find a suitable id. It scans list of devices to build up a free map, then chooses the first empty slot. The caller must hold the dev_base or rtnl lock while allocating the name and adding the device in order to avoid duplicates. Limited to bits_per_byte * page size devices (ie 32K on most platforms). Returns the number of the unit assigned or a negative errno code.

COPYRIGHT